Inhalte

# Funktion FindObject

Ermöglicht es einem Objekt, zur Laufzeit über den Objektnamen als Zeichenfolgenparameter angesprochen zu werden.

Beispielsweise folgender Befehl:

    MyObj.Prop1.Command = 5

folgendem Befehlsblock:

    Dim ObjVar as Object
    Dim ObjProp as Object
    ObjName As String = "MyObj"
    ObjVar = FindObject( ObjName As String )
    PropName As String = "Prop1"
    ObjProp = FindPropertyObject( ObjVar, PropName As String )
    ObjProp.Command = 5

So können Namen dynamisch zur Laufzeit erstellt werden. Beispiel:

"TextEdit1" bis "TextEdit5" in einer Schleife, um fünf Kontrollnamen zu erzeugen.

Siehe auch: FindPropertyObject

## Syntax:

    FindObject( ObjName As String )

## Parameter:

ObjName: Zeichenfolge, die den Namen des zur Laufzeit anzusprechenden Objekts festlegt.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

12 Variable nicht definiert

Bitte unterstützen Sie uns!